How to force blog upgrade script in WP3 MS?

I upgraded a client's WPMU 2.9.2 install to WordPress 3.0, which went smoothly enough, enabling multi site and everything. Problem is, the blog upgrade script hits an error message right away, and is aborted:

Warning! Problem updating . Your server may not be able to connect to sites running on it. Error message: A valid URL was not provided.

I detailed these things in this thread but it appears as if nobody knows how to solve this particular issue.

Is there any way I can force the blog upgrade script?

Thanks in advance.